Page MenuHomePhabricator

Fix or delete apps-android-wikipedia-periodic-test from CI
Closed, ResolvedPublic

Description

The apps-android-wikipedia-periodic-test CI job has been failing for months. It was used for screenshot testing but that appears to have been phased out. If new long-running tests are planned, it should be fixed (https://gerrit.wikimedia.org/r/#/c/apps/android/wikipedia/+/442136/). If not, it should be deleted.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 29 2018, 3:50 PM

Change 442136 had a related patch set uploaded (by Mholloway; owner: Mholloway):
[apps/android/wikipedia@master] Update scripts/apps-android-wikipedia-periodic-test

https://gerrit.wikimedia.org/r/442136

Change 442136 abandoned by Mholloway:
Update scripts/apps-android-wikipedia-periodic-test

Reason:
Thanks for checking, Cooltey. Mea culpa: I didn't actually test this :/ Looks like this will need bigger changes since the test runner is no longer able to find the remaining test cases requiring a connected device. I'll follow-up on ticket.

https://gerrit.wikimedia.org/r/442136

The periodic test script has some issues:

  1. It references a Gradle task that no longer exists (see the abandoned patch above);
  2. Even if it is updated to no longer reference a nonexistent task, the test runner apparently can no longer find the remaining test cases requiring a connected device:
com.android.builder.testing.ConnectedDevice > No tests found.[Pixel_2_API_27(AVD) - 8.1.0] FAILED 
No tests found. This usually means that your test classes are not in the form that your test runner expects (e.g. don't inherit from TestCase or lack @Test annotations).

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':app:connectedDevDebugAndroidTest'.
> There were failing tests. See the report at: file:///Users/mholloway/wikipedia-android/app/build/reports/androidTests/connected/flavors/DEV/index.html

Change 490492 had a related patch set uploaded (by Mholloway; owner: Mholloway):
[integration/config@master] Remove apps-android-wikipedia-periodic-test job and related bits

https://gerrit.wikimedia.org/r/490492

For posterity: I was reminded to take a look at this today when the integration-slave-jessie-android instance died as a result of CI hardware failures (https://lists.wikimedia.org/pipermail/cloud/2019-February/000538.html).

Mholloway renamed this task from Fix or delete apps-android-wikipedia-periodic-test to Fix or delete apps-android-wikipedia-periodic-test from CI.Feb 13 2019, 11:34 PM
Mholloway triaged this task as Low priority.Feb 15 2019, 4:31 PM

Mentioned in SAL (#wikimedia-releng) [2019-02-19T20:23:19Z] <hashar> Deleting Jenkins job apps-android-wikipedia-periodic-test | T198495

Change 490492 merged by jenkins-bot:
[integration/config@master] Remove apps-android-wikipedia-periodic-test job and related bits

https://gerrit.wikimedia.org/r/490492

Mentioned in SAL (#wikimedia-releng) [2019-02-19T20:27:33Z] <hashar> gerrit: archived repository integration/jenkinsci/android-emulator-plugin | T198495

Mentioned in SAL (#wikimedia-releng) [2019-02-19T20:28:37Z] <hashar> jenkins: disable Android Emulator plugin | T198495

Change 491574 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/puppet@production] contint: phaseout android slave

https://gerrit.wikimedia.org/r/491574

Change 491574 merged by Dzahn:
[operations/puppet@production] contint: phaseout android slave

https://gerrit.wikimedia.org/r/491574

Mholloway closed this task as Resolved.Mar 5 2019, 1:53 PM